Loading...
Searching...
No Matches
AttributeArrayString.h File Reference

Attribute array storage for string data using Descriptor Metadata. More...

`#include "AttributeArray.h"`
`#include <memory>`
`#include <deque>`
`#include <unordered_map>`

Go to the source code of this file.

## Classes

struct | StringTypeTrait< Truncate >
struct | StringTypeTrait< true >
struct | StringCodec< Truncate >
struct | StringCodec< Truncate >::Storage< T >
class | StringMetaCache
| Class to compute a string->index map from all string:N metadata. More...
class | StringMetaInserter
| Class to help with insertion of keyed string values into metadata. More...
class | StringAttributeHandle
class | StringAttributeWriteHandle

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0
namespace | openvdb::v10_0::points
namespace | openvdb::v10_0::points::attribute_traits

## Typedefs

using | StringAttributeArray = TypedAttributeArray<Index, StringCodec<false>>

## Functions

bool | isString (const AttributeArray &array)

## Detailed Description

Attribute array storage for string data using Descriptor Metadata.

Author
  Dan Bailey